Gtk.init

module Kz
  DEFAULT_LOAD_PATH = $LOAD_PATH.dup
  RELOAD_FILENAME = "kazehakase.rb"

  class << self
    def reload
      if ENABLE
        $LOAD_PATH.clear
        $LOAD_PATH.concat(DEFAULT_LOAD_PATH)
        load RELOAD_FILENAME
      end
    rescue Exception
      print_error($!)
    end

    def pop_statusbar(kz, id, timeout)
      Gtk.timeout_add(timeout) do
        kz.statusbar.pop(id)
        false
      end
    end
  end
end

require "kz/actions"

Kz.reload
